import logging
from aiohttp import web

from pscr_common.web.auth import AuthRouteTableDef

_logger = logging.getLogger(__name__)


def build_route_table(api_prefix, url_root) -> AuthRouteTableDef:
    routes = AuthRouteTableDef()

    @routes.get("/doc{tail:.*}")
    async def legacy_docs(request: web.Request):
        tail = request.match_info["tail"]
        raise web.HTTPFound(location=f"{api_prefix}/{url_root}/info/api_docs{tail}")

    return routes
